# AwaitCombinedPledgeAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class AwaitCombinedPledgeAttr

Attribute that cancels the associated move's effects when set to be combined with the user's ally's subsequent move this turn. Used for Grass Pledge, Water Pledge, and Fire Pledge.

#### Hierarchy (View Summary)

- OverrideMoveEffectAttr
  - AwaitCombinedPledgeAttr

- Defined in src/data/moves/move.ts:3045

##### Index

### Constructors

constructor

### Properties

selfTarget

### Methods

apply
getCondition
getFailedText
getTargetBenefitScore
getUserBenefitScore

## Constructors

### constructor

- new AwaitCombinedPledgeAttr(): AwaitCombinedPledgeAttr

  #### Returns AwaitCombinedPledgeAttr

  Overrides OverrideMoveEffectAttr.constructor

  - Defined in src/data/moves/move.ts:3046

## Properties

### selfTarget

selfTarget: boolean

Should this `Move` target the user?

Inherited from OverrideMoveEffectAttr.selfTarget

- Defined in src/data/moves/move.ts:1071

## Methods

### apply

- apply(user: default , target: default , move: default , args: any[]): boolean

  If the user's ally is set to use a different move with this attribute, defer this move's effects for a combined move on the ally's turn.

  #### Parameters

  - user: default

    the `Pokemon` using this move

  - target: default

    n/a

  - move: default

    the `Move` being used

  - args: any[]

    [0] a `Utils.BooleanHolder` indicating whether the move's base effects should be overridden this turn.

  #### Returns boolean

  `true` if base move effects were overridden; `false` otherwise

  Overrides OverrideMoveEffectAttr.apply

  - Defined in src/data/moves/move.ts:3060

### getCondition

- getCondition(): null | MoveCondition | MoveConditionFunc

  #### Returns null | MoveCondition | MoveConditionFunc

  the `MoveCondition` or MoveConditionFunc for this `Move`

  Inherited from OverrideMoveEffectAttr.getCondition

  - Defined in src/data/moves/move.ts:1095

### getFailedText

- getFailedText(user: default , target: default , move: default ): undefined | string

  #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  #### Returns undefined | string

  the string representing failure of this `Move`

  Inherited from OverrideMoveEffectAttr.getFailedText

  - Defined in src/data/moves/move.ts:1106

### getTargetBenefitScore

- getTargetBenefitScore(user: default , target: default , move: default ): number

  Used by the Enemy AI to rank an attack based on a given target

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from OverrideMoveEffectAttr.getTargetBenefitScore

  - Defined in src/data/moves/move.ts:1124

### getUserBenefitScore

- getUserBenefitScore(user: default , target: default , move: default ): number

  Used by the Enemy AI to rank an attack based on a given user

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from OverrideMoveEffectAttr.getUserBenefitScore

  - Defined in src/data/moves/move.ts:1115